from trajectory_msgs.msg import JointTrajectory, JointTrajectoryPoint
from builtin_interfaces.msg import Duration
import rclpy
from rclpy.node import Node

class JTCPublisher(Node):
    def __init__(self):
            super().__init__('jtc_publisher')
            self.publisher_ = self.create_publisher(JointTrajectory, "/e1_group_controller/joint_trajectory", 10)


            trajectory = JointTrajectory(
                joint_names = [ "c1_joint", "f1_joint", "t1_joint" ],
                  points = [ 
                        JointTrajectoryPoint (time_from_start = Duration(sec = 1), positions = [0,    -1.4,   0]),
                        JointTrajectoryPoint (time_from_start = Duration(sec = 2), positions = [-0.3, -1.3,   0]),
                        JointTrajectoryPoint (time_from_start = Duration(sec = 3), positions = [0,    -1.4, 0.5]),
                        JointTrajectoryPoint (time_from_start = Duration(sec = 4), positions = [-0.3, -1.3,   0]),
                        JointTrajectoryPoint (time_from_start = Duration(sec = 5), positions = [-0.5, -1.3,   0.6]),
                        JointTrajectoryPoint (time_from_start = Duration(sec = 6), positions = [-0.3, -1.3,   0.6]),
                        JointTrajectoryPoint (time_from_start = Duration(sec = 7), positions = [-0.5, -1.3,   0.6]),
                        JointTrajectoryPoint (time_from_start = Duration(sec = 8), positions = [-0.5, -1.3,   0]),
                        JointTrajectoryPoint (time_from_start = Duration(sec = 9), positions = [-0.3, -1.3,   0]),
                        JointTrajectoryPoint (time_from_start = Duration(sec = 10), positions =[   0, -1.4,   0]),
                  ]
            )
            self.publisher_.publish(trajectory)

def main(args = None):
    rclpy.init(args=args)

    jtc_publisher = JTCPublisher()
    rclpy.spin(jtc_publisher)
    jtc_publisher.destroy_node()
    rclpy.shutdown()
    